## org.apache.log4j.jmx
Class AbstractDynamicMBean

    java.lang.Object
      org.apache.log4j.jmx.AbstractDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

Direct Known Subclasses:
  AppenderDynamicMBean, HierarchyDynamicMBean, LayoutDynamicMBean, LoggerDynamicMBean

    public abstract class AbstractDynamicMBean

extends java.lang.Object
implements javax.management.DynamicMBean, javax.management.MBeanRegistration

Constructor Summary
`AbstractDynamicMBean()`

Method Summary
`javax.management.AttributeList` `getAttributes(java.lang.String[] attributeNames)` Enables the to get the values of several attributes of the Dynamic MBean.
`protected abstract Logger` `getLogger()`
`void` `postDeregister()`
`void` `postRegister(java.lang.Boolean registrationDone)`
`void` `preDeregister()`
`javax.management.ObjectName` `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`javax.management.AttributeList` `setAttributes(javax.management.AttributeList attributes)` Sets the values of several attributes of the Dynamic MBean, and returns the list of attributes that have been set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getMBeanInfo, invoke, setAttribute`

Constructor Detail

### AbstractDynamicMBean

    public AbstractDynamicMBean()

Method Detail

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] attributeNames)

  Enables the to get the values of several attributes of the Dynamic MBean.

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList attributes)

  Sets the values of several attributes of the Dynamic MBean, and returns the list of attributes that have been set.

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

### getLogger

    protected abstract Logger getLogger()

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.